<template>
  <slot />
</template>

<script setup lang="ts">
import { provide, toRef } from 'vue';

const props = defineProps({
  isExtra: {
    type: Boolean,
    default: false
  }
});

provide('dropdownMenuisExtra', toRef(props, 'isExtra'));

defineOptions({
  options: {
    virtualHost: true,
  }
})
</script>

<style lang="scss">
</style>